> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put userspreferencesupdate

> Save updated user preferences



## OpenAPI

````yaml /schema.json put /users/preferences/update
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /users/preferences/update:
    put:
      tags:
        - Users
      description: Save updated user preferences
      operationId: updateUserPreferences
      parameters:
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserPreferenceUpdate'
      responses:
        '200':
          description: User response with updated preferences
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponse'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UserPreferenceUpdate:
      type: object
      properties:
        updatedPreferences:
          type: object
          additionalProperties: true
    UserResponse:
      type: object
      properties:
        message:
          type: string
        object:
          $ref: '#/components/schemas/CompleteUser'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    CompleteUser:
      type: object
      properties:
        email:
          title: Email address
          type: string
        roles:
          title: Roles
          type: array
          items:
            type: string
            anyOf:
              - const: ROLE_USER
                title: Viewer
                description: >-
                  This role is allowed to view configurations and logs, and run
                  configurations.
              - const: ROLE_EDITOR
                title: Editor
                description: >-
                  This role is allowed to edit configurations, view logs and run
                  configurations.
              - const: ROLE_ADMINISTRATOR
                title: Administrator
                description: >-
                  This role is allowed to edit configurations and manage users,
                  view logs and run configurations.
          uniqueItems: true
        preferences:
          $ref: '#/components/schemas/UserPreferences'
      required:
        - email
        - roles
    UserPreferences:
      type: object
      additionalProperties: true

````